Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.core
Interface ParameterDisposer

    public interface ParameterDisposer

Interface to be implemented by objects that can close resources allocated by parameters like SqlLobValues.

Typically implemented by PreparedStatementCreators and PreparedStatementSetters that support DisposableSqlTypeValue objects (e.g. SqlLobValue) as parameters.

Since:
  1.1
Author:
  Thomas Risberg, Juergen Hoeller
See Also:
  `PreparedStatementCreator`, `PreparedStatementSetter`, `DisposableSqlTypeValue`, `SqlLobValue`

Method Summary
`void` | `cleanupParameters()` Close the resources allocated by parameters that the implementing object holds, for example in case of a DisposableSqlTypeValue (like a SqlLobValue).

Method Detail

### cleanupParameters

    void cleanupParameters()

  Close the resources allocated by parameters that the implementing object holds, for example in case of a DisposableSqlTypeValue (like a SqlLobValue).

  See Also:
    `DisposableSqlTypeValue.cleanup()`, `SqlLobValue.cleanup()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD